Bug 499341 - Review Request: php-pear-Text-Diff - Engine for performing and rendering text diffs
Review Request: php-pear-Text-Diff - Engine for performing and rendering text...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492397
  Show dependency treegraph
 
Reported: 2009-05-06 05:14 EDT by Xavier Bachelot
Modified: 2009-05-12 00:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 23:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jan.klepek: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-05-06 05:14:48 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/php-pear-Text-Diff.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/php-pear-Text-Diff-1.1.0-1.fc10.src.rpm
Description: This package provides a text-based diff engine and renderers for multiple diff output formats.
Comment 1 Jan Klepek 2009-05-07 06:53:39 EDT
Hi Xavier, I will deeply review it during today/tommorow.
so far, rpmlint is ok.
rpmlint /home/makerpm/rpmbuild/SRPMS/php-pear-Text-Diff-1.1.0-1.fc10.src.rpm /home/makerpm/rpmbuild/RPMS/noarch/php-pear-Text-Diff-1.1.0-1.fc10.noarch.rpm SPECS/php-pear-Text-Diff.spec 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

and all other seems ok too.
Comment 2 Jan Klepek 2009-05-09 02:27:13 EDT
%build could be empty

#  MUST: rpmlint must be run on every package. 
- OK

# MUST: The package must be named according to the Package Naming Guidelines
- OK

# MUST: The spec file name must match the base package %{name}
- OK, php pear package

# MUST: The package must meet the Packaging Guidelines
- OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
- OK

# MUST: The License field in the package spec file must match the actual license.
- OK

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK

# MUST: The spec file must be written in American English.
- OK

# MUST: The spec file for the package MUST be legible.
- OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. 
- OK
$ md5sum Text_Diff-1.1.0.tgz SOURCES/Text_Diff-1.1.0.tgz 
9dcea8c122d2e92a90ca48b7b16a876f  Text_Diff-1.1.0.tgz
9dcea8c122d2e92a90ca48b7b16a876f  SOURCES/Text_Diff-1.1.0.tgz

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK, builded on fc10 i386

# MUST: If the package does not successfully compile, ...
- OK, 

# MUST: All build dependencies must be listed in BuildRequires
- OK

# MUST: The spec file MUST handle locales properly. 
- OK, no locale

# MUST: Every binary RPM package (or subpackage) which stores shared library...
- OK, no shared library

# MUST: If the package is designed to be relocatable, 
- OK

# MUST: A package must own all directories that it creates.
- OK

# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

# MUST: Permissions on files must be set properly. 
- OK

# MUST: Each package must have a %clean section, which contains rm -rf 
%{buildroot}
- OK

# MUST: Each package must consistently use macros.
- OK

# MUST: The package must contain code, or permissable content.
- OK

# MUST: Large documentation files must go in a -doc subpackage.
- OK, no large documentation

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. 
- OK

# MUST: Header files must be in a -devel package. 
- OK, no header files

# MUST: Static libraries must be in a -static package.
- OK, no static libraries

# MUST: Packages containing pkgconfig(.pc)..
- OK, no .pc files

# MUST: If a package contains library files with a suffix then library files that end in .so (without suffix) must go in a -devel package.
- OK, no library

# MUST: In the vast majority of cases, devel packages must require the base package ...
- OK, no devel package

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK, no .la

# MUST: Packages containing GUI applications must include a %{name}.desktop file, 
- OK, no gui

# MUST: Packages must not own files or directories already owned by other packages. 
- OK

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} - OK

# MUST: All filenames in rpm packages must be valid UTF-8. 
- OK

Conclusion: Approved
Comment 3 Xavier Bachelot 2009-05-09 06:25:33 EDT
Thanks for the review.

New Package CVS Request
=======================
Package Name: php-pear-Text-Diff
Short Description: Engine for performing and rendering text diffs
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 4 Kevin Fenzi 2009-05-09 17:02:01 EDT
cvs done.
Comment 5 Fedora Update System 2009-05-09 18:18:14 EDT
php-pear-Text-Diff-1.1.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pear-Text-Diff-1.1.0-1.fc10
Comment 6 Fedora Update System 2009-05-09 18:18:20 EDT
php-pear-Text-Diff-1.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-pear-Text-Diff-1.1.0-1.fc11
Comment 7 Fedora Update System 2009-05-09 18:18:25 EDT
php-pear-Text-Diff-1.1.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-pear-Text-Diff-1.1.0-1.fc9
Comment 8 Fedora Update System 2009-05-11 23:53:16 EDT
php-pear-Text-Diff-1.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-11 23:59:01 EDT
php-pear-Text-Diff-1.1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-12 00:13:48 EDT
php-pear-Text-Diff-1.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.